Package org.eclipse.emf.cdo.explorer.repositories

# Enum Class CDORepository.IDGeneration

java.lang.Object
java.lang.Enum<CDORepository.IDGeneration>
org.eclipse.emf.cdo.explorer.repositories.CDORepository.IDGeneration

All Implemented Interfaces:
  `Serializable`, `Comparable<CDORepository.IDGeneration>`, `java.lang.constant.Constable`

Enclosing interface:
  `CDORepository`

public static enum CDORepository.IDGeneration extends Enum<CDORepository.IDGeneration>
Enumerates the possible `ID generation locations` of a `repository`.

Author:
  Eike Stepper

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`Counter`
`UUID`

## Method Summary

Modifier and Type
Method
Description
`static CDORepository.IDGeneration`
`from(CDORepositoryInfo repositoryInfo)`
`CDOCommonRepository.IDGenerationLocation`
`getLocation()`
`static CDORepository.IDGeneration`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static CDORepository.IDGeneration[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### Counter

public static final CDORepository.IDGeneration Counter

### UUID

public static final CDORepository.IDGeneration UUID

## Method Details

### values

public static CDORepository.IDGeneration[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static CDORepository.IDGeneration valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### getLocation

public CDOCommonRepository.IDGenerationLocation getLocation()

### from

public static CDORepository.IDGeneration from(CDORepositoryInfo repositoryInfo)